/* General */
* { font-family: 'arial';}
body {overflow-x: hidden;}
h1, h2, h3, h4, h5, .h1, .h2, .h3, .h4, .h5 {font-weight: bold}
.btn-lmb {background-image: url('/sites/default/files/gros_bouton.png');}
.btn-lmb-2 {background-image: url('/sites/default/files/gros_bouton_2.png');width: 75%;padding: 1.85rem;font-size: 1.35rem;margin: 1.5rem 0;}
.btn-lmb, .btn-lmb-2 {background-position: center;background-size: contain;background-repeat: no-repeat;font-weight: bold}
.btn-secondary {border-radius: 25px}
.table td, .table th {padding: .5rem;}
@media (min-width: 1200px) {
  .container {max-width: 1640px}
 }
 .pagination {justify-content: center;}
/* Navbar */
#navbar-main .navbar-brand img {width: 200px;}
#navbar-main .nav-link {text-transform: uppercase;font-weight: bold;}
#block-subtheme-main-menu {width: 100%;}
#block-subtheme-main-menu ul {width: 100%;display: flex;justify-content: flex-start;}
#toolsBox {min-width: 300px;padding:0.5rem 1rem;border-radius: 125px;}
/* Acceuil */
#carouselAccueil img {max-height: 60vh; object-fit: cover;min-height: 450px;}
#carouselAccueil .carousel-indicators li {width: 20px; height: 20px; border-radius: 50%;}
#homePage {position: relative;}
#homePage header {position: absolute;top: 0;left: 0;z-index: 1;padding: 3rem 6rem; text-transform: uppercase;width: 100vw;}
#homePage header h1 {padding: 0.75rem;max-width: max-content;}
#homePage header .catchphrase p span {display: inline;padding: 0.25rem; line-height: 1.7;}
#homePage .btn-lmb {padding: 4rem;}
#homePage .taxo-link-homepage {height: 150px;display: flex;justify-content: center;align-items: center;flex-direction: column;font-weight: bold;font-size: 1.5rem;}
#homePage .taxo-link-homepage img {height: 25px;}
#accueil-news .views-row {padding: 0.5rem 0.25rem;}
.views-field.views-field-view-node a {border-radius: 25px;display: inline-block;font-weight: 400;text-align: center;white-space: nowrap;vertical-align: middle;-webkit-user-select: none;-moz-user-select: none;-ms-user-select: none;user-select: none;border: 1px solid transparent;border-top-color: transparent;border-right-color: transparent;border-bottom-color: transparent;border-left-color: transparent;padding: .375rem .75rem;
  font-size: 1rem;line-height: 1.5;transition: color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out;}
@media (max-width: 992px) {
  #homePage header {padding: 1rem;}
}
@media (max-width: 768px) {
  #carouselAccueil img {height: 80vh;}
  #homePage header {margin: 0;text-align: center;}
}
.app-card .wrapper {position:relative;}
.app-card .bg-red.transparent {position: absolute;z-index: 1;width: 100%;text-align: center;top: 0;left: 0;min-height: 5rem;display: flex;align-items: center;justify-content: center;}
.app-card .field--type-image {margin: 0; width: 100%}
.app-card img {height: 300px; width: 100%; object-fit:cover;}
/* applications */
#application-wrapper {position: relative;}
#application-wrapper .tns-controls button {position: absolute;z-index: 20;background: none; border: none;}
#application-wrapper .tns-controls button:first-child {top: 50%;left: 15px}
#application-wrapper .tns-controls button:nth-child(2n+0) {top: 50%; right: 15px;}
#carouselApplication .item img {height: 300px;object-fit: cover;width: 450px}
#carouselApplication .item-details {text-align: center;}
#carouselApplication .shadow-effect {max-width: min-content}
.connected-to-slider {display: none;}
.connected-to-slider.active {display: block;}
/* Engineering */
#engineering .img-txt img {width: 100%;height: 400px;object-fit: cover;margin: 0;}
#engineering .field.field--name-field-image {margin: 0;}
/* Catalogues */
#catalogues .wrapper img {max-width: 100%; height: 500px; object-fit:cover;}
#catalogues .wrapper {position:relative;}
#catalogues .bg-red.transparent {position: absolute;z-index: 1;width: 100%;text-align: center;bottom: 0;left: 0;}
/* Products Search block */
#searchBlock {padding-bottom: 0.75rem;}
#searchBlock input, #searchBlock select {border-radius: 1rem;height: min-content; font-size: 0.85rem}
#searchBlock legend {display: none;}
#searchBlock .js-form-item-field-product-type-target-id label {display: none;}
#searchBlock .js-form-item-field-product-type-target-id {padding: 0;}
#searchBlock .js-form-item-field-voltage-target-id {flex-grow: 1;}
#searchBlock label.js-form-item-field-supply-target-id {padding: 0;}
#searchBlock .product-supply .js-form-wrapper {padding: 0;}
#searchBlock ul {list-style: none;display: flex;width: 100%;justify-content: space-between;padding: 0;flex-wrap: wrap;}
#searchBlock .js-form-item-field-supply-target-id:first-child {display: none;}
#searchBlock ul li:first-child {display: none;}
#searchBlock ul li {flex-grow: 1;text-align: center;padding: 1rem;font-size: 1.15rem;font-weight: bold;}
#searchBlock .product-submit .js-form-wrapper {margin: auto;}
#searchBlock .js-form-submit.form-submit {padding: 0.75rem 1rem;border-radius: 125px;min-width: 75px;}
#collapseButton-wrapper a {display: flex;width: 100%;padding: 0.75rem;color: #fff;text-decoration: none;}
/* Product Page */
#productPage h2 {width: 100%;margin: 0;}
#productPage #carouselProduit .item {overflow-x: hidden;}
#productPage #carouselProduit .item a:hover {text-decoration: none;}
#productPage #carouselProduit .item a:hover img {-webkit-filter: grayscale(100%);filter: grayscale(100%);}
#productPage #carouselProduit .item img {width: 100%; height: 250px;object-fit: contain;-webkit-filter: grayscale(0);	filter: grayscale(0);-webkit-transition: .3s ease-in-out;	transition: .3s ease-in-out;border: 1px solid rgba(0,0,0,0.25);}
#productPage #produit-wrapper .tns-controls button:first-child {top: 50%;left: 10px}
#productPage #produit-wrapper .tns-controls button:nth-child(2n+0) {top: 50%; right: 10px;}
/* Taxonomy Term */
#vocabulary-product-families img {width: 100%;height: 100%;object-fit: cover;margin: 0;}
@media (max-width: 1250px) {
  #vocabulary-product-families img {height: 400px;}
}
#vocabulary-product-families .bg-lmb, #vocabulary-product-families .bg-grey {height: 100%}
#vocabulary-product-families .field--name-field-image {margin: 0;}
#vocabulary-product-families ul {list-style: none;display: flex;flex-direction: column;justify-content: space-around;height: 100%;margin: 0;padding: 0}
#vocabulary-product-families li {display: flex;}
#vocabulary-product-families li::before {background-image: url('/sites/default/files/non-noir.png');display: block;background-size: cover;height: 16px;width: 16px;content: '';margin-right: 1rem;}
/* Taxonomy Slider */
#taxoSlider .view-filters {display: none;}
#produit-wrapper {position: relative;width: 100%}
#produit-wrapper .tns-controls button {position: absolute;z-index: 20;background: none; border: none;}
#produit-wrapper .tns-controls button:first-child {top: 20%;left: 10px}
#produit-wrapper .tns-controls button:nth-child(2n+0) {top: 20%; right: 10px;}
#carouselProduit .item img {height: 300px;object-fit: contain;width: 100%; border: 1px solid rgba(0,0,0,0.25);background-color: #fff;}
/* ContactUs Page */
#leaflet-map-view-contact-map-block-1 {width: 100%; min-height: 400px;}
#contactUs .contact-block,
#contactUs .contact-block-reverse {display: flex;flex-direction: column;justify-content: center;align-items: center;}
#contactUs .contact-block a,
#contactUs .contact-block-reverse a {font-style: italic;}
#contactUs .contact-bloc-title {font-weight: bold}
#contactUs .views-element-container,
#contactUs .view.view-contact-map.view-id-contact_map,
#contactUs .view-content.row {height: 100%;}
/* Contact Page */
#contact .iti {display: block;}
#contact .form-group {margin-bottom: 0.35rem;}
/* Product Entity */
#product .field--type-entity-reference {margin: 0;}
#product table td:first-child {font-weight: bold;}
#product .img-container img {max-width: 100%; height: auto;}
#product .bold-text {font-weight: bold;}
#product .inline-product-info, #product .inline-product-info div {display: inline-block;}
/* FOOTER */
.logo-footer {height: 110px;}
.site-footer {background: transparent !important;}
.site-footer__bottom .region-footer-fifth {width: 75%;}
.site-footer__bottom .region-footer-fifth ul {flex-direction: row; justify-content: space-around;}
#block-subtheme-footer {width: 100%;}
/* ProductSearch */
#productTable table thead th {vertical-align: middle;text-align: center;word-break: keep-all;}
#productTable thead th:last-child, #productTable tbody tr td:last-child {display: none;}
/* Terms and conditions */
#termsandcondition .field__label {font-weight: bold;}
.sitemap {padding: 1rem 3rem}
